# Get Cross-Domain Rule Information - DescribeCORSRule

## Overview

Get Cross-Domain Rule Information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeCORSRule`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, and the sub-account must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **BucketName** | string | Bucket Name |**Yes**|
| **CORSId** | string | Cross-domain rule ID, if not specified, all cross-domain rule information will be returned. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DataSet** | array[[*CORSRuleSet*](#corsruleset)] | Cross-domain Rule Information Collection |**Yes**|

#### Data Model


#### CORSRuleSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **AllowedOrigin** | string | Specify the allowed origins for cross-domain requests, use wildcard (*) to allow cross-domain requests from all sources (multiple Origins are separated by ',') |**Yes**|
| **AllowedMethod** | string | Specify allowed cross-origin request methods. Supported method names include: GET, PUT, POST, DELETE, HEAD, OPTIONS (multiple Methods are separated by ','). |**Yes**|
| **CORSId** | string | Cross-domain Rule ID |**Yes**|
| **CreateTime** | int | Cross-domain Rule Creation Time |**Yes**|
| **ModifyTime** | int | Latest modification time of cross-domain rules |**Yes**|
| **AllowedHeader** | string | Specify the allowed cross-domain request headers (multiple Headers are separated by ',') |**Yes**|
| **ExposeHeader** | string | Specify the response headers that are allowed for user access from the application (multiple ExposeHeaders are separated by ',') |**Yes**|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=DescribeCORSRule
&BucketName=vKqZsPWy
&CORSId=zAjPoFbr
&ProjectId=BqlWTeMK
```

### Response Example
    
```json
{
  "Action": "DescribeCORSRuleResponse",
  "DataSet": [
    {
      "AllowedHeader": "rRdVitUa",
      "AllowedMethod": "OoNanzZo",
      "AllowedOrigin": "uUeaGfwz",
      "CreateTime": 2,
      "ExposeHeader": "fxknMzKB",
      "MaxAgeSeconds": 7,
      "ModifyTime": 7
    }
  ],
  "RetCode": 0
}
```





